Search API

- Preparing search index...
- The search index is not available

Show Summaries
GoJS® Diagramming Components
version 1.8.33 for JavaScript/HTML
by Northwoods Software®

## Class TreeEdge

Extends LayoutEdge. This holds TreeLayout-specific information about Links.

This class inherits from LayoutEdge.

## Constructor Summary Details

Name | Description
--- | ---
TreeEdge() |

## Properties Summary Details

Name, Value Type | Description
--- | ---
relativePoint {Point} | Gets or sets a Point, relative to the parent node, that may be useful in routing this link.

Properties borrowed from class LayoutEdge:
  data, fromVertex, link, network, toVertex

## Method Summary Details

Name, Return Type | Description
--- | ---
commit() | Commits the position of the Link and routes it.

Methods borrowed from class LayoutEdge:
  getOtherVertex